package com.ruoyi.web.modules.industryservice.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Param;
import com.ruoyi.web.modules.industryservice.domain.BizGrassland;

/**
 * 草场管理 Mapper
 */
public interface BizGrasslandMapper
{
    BizGrassland selectBizGrasslandById(Long id);

    BizGrassland selectBizGrasslandByIdAny(Long id);

    List<BizGrassland> selectBizGrasslandList(BizGrassland query);

    int insertBizGrassland(BizGrassland row);

    int updateBizGrassland(BizGrassland row);

    int logicDeleteBizGrasslandByIds(@Param("ids") Long[] ids, @Param("updateBy") String updateBy);
}
